package it.integry.integrywmsnative.core.model;

import java.util.Date;

import it.integry.integrywmsnative.core.model.secondary.GestioneEnum;
import it.integry.integrywmsnative.core.utility.UtilityDate;

public class OrdineInevasoDTO {

    private String data;
    private Integer numero;
    private String gestione;
    private String codMdep;

    public String getDataOrdS() {
        return data;
    }

    public Date getDataOrdD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataOrdS());
    }

    public OrdineInevasoDTO setData(String data) {
        this.data = data;
        return this;
    }

    public Integer getNumOrd() {
        return numero;
    }

    public OrdineInevasoDTO setNumero(Integer numero) {
        this.numero = numero;
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public GestioneEnum getGestioneEnum() {
        return GestioneEnum.fromString(getGestione());
    }


    public OrdineInevasoDTO setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public OrdineInevasoDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

}
